From e58048ba49cd1f7ada02dd624b42f30da7aead30 Mon Sep 17 00:00:00 2001
From: Jitesh Shah <jiteshs@marvell.com>
Date: Mon, 2 Nov 2009 10:33:06 +0100
Subject: [PATCH] Disable mono for ARM

Signed-off-by: Jitesh Shah <jiteshs@marvell.com>
---
 gmime.spec |    7 +++++--
 1 files changed, 5 insertions(+), 2 deletions(-)

diff --git a/gmime.spec b/gmime.spec
index 3c92f91..222ea9e 100644
--- a/gmime.spec
+++ b/gmime.spec
@@ -1,6 +1,6 @@
 Name:           gmime
 Version:        2.4.7
-Release:        3%{?dist}
+Release:        3%{?dist}.fa1
 Summary:        Library for creating and parsing MIME messages
 
 Group:          System Environment/Libraries
@@ -17,7 +17,7 @@ BuildRequires:  gettext-devel, gtk-doc
 Patch2: libdir.patch
 
 # no mono on sparc64 for now, thus exclude sparc64
-%ifarch sparc64
+%ifarch sparc64 %{arm}
 %define buildmono 0
 %else
 %define buildmono 1
@@ -119,6 +119,9 @@ rm -rf $RPM_BUILD_ROOT
 %endif
 
 %changelog
+* Mon Nov 02 2009 Jitesh Shah <jiteshs@marvell.com> - 2.4.7-3.fa1
+- Disable mono for ARM
+
 * Mon Oct 26 2009 Dennis Gilmore <dennis@ausil.us> - 2.4.7-3
 - build mono support on s390 and s390x
 - exclude mono support on sparc64
-- 
1.5.5.6

